/*
    EmailIt.prg
    August 2, 2000
    Ken Mayer

    This program builds an HTML form that requests
    information needed to email a specific HUMOR
    file to someone.

    Calls.......: sendit.exe
    Called from.: displayit.exe
    Dependencies: webclass.cc
                  kenwebclass.cc
                  humor.dmd
*/

// need to pass:
// HumorID 

// -----------------------------------------------
// Setup:
// -----------------------------------------------
set procedure to kenwebclass.cc additive

oCGI = new KenWebClass()
oCGI.setWebMasterAddress("kmayer@dbase.com")

// -----------------------------------------------
// put the program in a single big error trap:
try

   // get the name/value pairs
   oCGI.Connect()

   // Instantiate the datamodule:
   set procedure to "humor.dmd" additive
   dHumor = new HumorDataModule()

   // shorten rowset reference
   rHumor = dHumor.Humor1.rowset
   fHumor = rHumor.fields
   rHumor.filter = "HumorID = "+val(oCGI["HumorID"])

   // -----------------------------------------------
   // Start HTML Document:
   // -----------------------------------------------
   oCGI.streamHeader( "Ken's Humor Files" )
   oCGI.streamBody()
   oCGI.streamTitle( "Ken's Humor Files" )
   oCGI.streamDetail( "<P>" )
   oCGI.streamDetail( [<CENTER>Enter EMAIL Information</CENTER>] )
   oCGI.streamDetail( [<CENTER>]+fHumor["Title"].value.rightTrim()+;
                      [</CENTER>] )
   oCGI.streamFormBegin( "SendIt.exe" )
   oCGI.streamDetail( "<P>" )
   // need this in sendit program:
   oCGI.streamHidden( "HumorID", oCGI["HumorID"] )
   oCGI.streamDetail( [<CENTER><TABLE>] )

   // From (provide some defaults)
   oCGI.streamDetail( "<TR><TD VALIGN=TOP ALIGN=RIGHT>" )
   oCGI.streamDetail( "From (name): " )
   oCGI.streamDetail( "</TD><TD>" )
   oCGI.streamText( "FromName", 50, "Ken Mayer's Humor Files", 100 )
   oCGI.streamDetail( "</TD></TR>" )
   oCGI.streamDetail( "<TR><TD VALIGN=TOP ALIGN=RIGHT>" )
   oCGI.streamDetail( "From (EMail): " )
   oCGI.streamDetail( "</TD><TD>" )
   oCGI.streamText( "FromEMail", 50, "kmayer@dbase.com", 100 )
   oCGI.streamDetail( "</TD></TR>" )

   // To:
   oCGI.streamDetail( "<TR><TD VALIGN=TOP ALIGN=RIGHT>" )
   oCGI.streamDetail( "To (name): " )
   oCGI.streamDetail( "</TD><TD>" )
   oCGI.streamText( "ToName", 50, "", 100 )
   oCGI.streamDetail( "</TD></TR>" )
   oCGI.streamDetail( "<TR><TD VALIGN=TOP ALIGN=RIGHT>" )
   oCGI.streamDetail( "To (EMail): " )
   oCGI.streamDetail( "</TD><TD>" )
   oCGI.streamText( "ToEMail", 50, "", 100 )
   oCGI.streamDetail( "</TD></TR>" )

   // Subject:
   oCGI.streamDetail( "<TR><TD VALIGN=TOP ALIGN=RIGHT>" )
   oCGI.streamDetail( "Subject: " )
   oCGI.streamDetail( "</TD><TD>" )
   oCGI.streamText( "Subject", 50, "[Humor] "+;
                     fHumor["title"].value.RightTrim(), 100 )
   oCGI.streamDetail( "</TD></TR>" )

   // done:
   oCGI.streamDetail( [</TD></TR>] )
   oCGI.streamDetail( [</TABLE></CENTER>] )

   // buttons ...:
   oCGI.streamDetail( [<CENTER>] )
   oCGI.streamSubmit( "EMail It ..." )
   oCGI.streamReset( )
   oCGI.streamDetail( [</CENTER>] )

   // end of form:
   oCGI.streamFormEnd()

   // Stream the footer:
   oCGI.streamFooter()

catch( Exception MyError )

   // Pass error object to 'errorPage' method
   oCGI.errorPage( MyError )

endtry

// -----------------------------------------------
// Cleanup ...
// -----------------------------------------------
quit

/*
   End of program: EMailIt.prg
*/
